unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Memo1: TMemo;
    ListBox1: TListBox;
    ComboBox1: TComboBox;
    RadioGroup1: TRadioGroup;
    Label2: TLabel;
    GroupBox1: TGroupBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    Button1: TButton;
    CheckBox1: TCheckBox;
    Label3: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton3Click(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure Label3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
close
end;

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
     Memo1.Font.Color := clYellow;
end;

procedure TForm1.RadioButton2Click(Sender: TObject);
begin
     Memo1.Font.Color := clOlive;
end;

procedure TForm1.RadioButton3Click(Sender: TObject);
begin
     Memo1.Font.Color := clBlack;
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
     If RadioGroup1.ItemIndex=0 then Memo1.Color:=clRed;
     If RadioGroup1.ItemIndex=1 then Memo1.Color:=clGreen;
     If RadioGroup1.ItemIndex=2 then Memo1.Color:=clBlue;
     If RadioGroup1.ItemIndex=3 then Memo1.Color:=clWhite;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
Memo1.Font.Size:=StrToInt(ComboBox1.Items
                   [ComboBox1.ItemIndex]);
end;

procedure TForm1.FormCreate(Sender: TObject);
     var c: Integer;
begin
     for c:=0 to Screen.Fonts.Count-1 do
         ListBox1.Items.Add(Screen.Fonts[c]);
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
     if Memo1.Font.Style=[fsItalic]
       then Memo1.Font.Style:=[]
       else Memo1.Font.Style:=[fsItalic];
end;

procedure TForm1.ListBox1Click(Sender: TObject);
begin
Memo1.Font.Name:=
          ListBox1.Items[ListBox1.ItemIndex];
end;

procedure TForm1.Label3Click(Sender: TObject);
begin
     Memo1.Lines[0] := DateTimeToStr(Now);
end;

end.
